import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
// 行研产研
@Entity('journal', { comment: '行研产研' })
export class Journal extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'character varying', nullable: true, comment: '名称' })
  name: string;
  @Column({ type: 'jsonb', nullable: true, comment: '封面', default: [] })
  file: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'integer', nullable: true, comment: '排序' })
  sort: number;
  @Column({ type: 'character varying', nullable: true, comment: '是否使用', default: '0' })
  is_use: string;
  @Column({ type: 'character varying', nullable: true, comment: '状态', default: '0' })
  status: string;
}
