import { Column, Entity } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
// 字典类型表
@Entity('dictType', { comment: '字典目录' })
export class DictType extends BaseModel {
  @Column({ type: 'character varying', comment: '字典类型名称' })
  title: string;
  @Column({ type: 'character varying', comment: '编码' })
  code: string;
  @Column({ type: 'text', nullable: true, comment: '备注' })
  remark: string;
  @Column({ type: 'character varying', default: '0', comment: '是否使用 0使用;1禁用' })
  is_use: string;
}
