import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';

@Entity('region', { comment: '地区数据' })
export class Region extends BaseModel {
  @Column({ type: 'character varying', nullable: true, comment: '编码' })
  code: string;
  @Column({ type: 'character varying', nullable: true, comment: '名称' })
  name: string;
  @Column({ type: 'character varying', nullable: true, comment: '上级编码' })
  parent_code: string;
  @Column({ type: 'character varying', nullable: true, comment: '等级:province;city;area;street' })
  level: string;
  @Column({ type: 'character varying', comment: '是否启用', default: '0' })
  is_use: string;
}
