import { Column, Entity } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
// 企业申请
@Entity('applyCompany', { comment: '企业认领申请' })
export class ApplyCompany extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'integer', nullable: true, comment: '企业id' })
  company: number;
  @Column({ type: 'jsonb', nullable: true, comment: '营业执照', default: [] })
  file: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '负责人' })
  person: string;
  @Column({ type: 'character varying', nullable: true, comment: '负责人电话' })
  person_phone: string;
  @Column({ type: 'jsonb', nullable: true, comment: '负责人身份证正反面', default: [] })
  card: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '电子邮箱' })
  email: string;
  @Column({ type: 'character varying', nullable: true, default: '0', comment: '状态' })
  status: string;
}
