import { Column, Entity } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
// 赛事管理人
@Entity('competition', { comment: '赛事管理人员数据' })
export class Competition extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'character varying', nullable: true, comment: '名称' })
  name: string;
  @Column({ type: 'character varying', nullable: true, comment: '负责人名称' })
  person: string;
  @Column({ type: 'character varying', nullable: true, comment: '负责人电话' })
  person_phone: string;
  @Column({ type: 'character varying', nullable: true, comment: '盈利模式' })
  mode: string;
  @Column({ type: 'text', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'character varying', nullable: true, comment: '地址' })
  address: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否公开' })
  is_show: string;
  @Column({ type: 'character varying', nullable: true, default: '0', comment: '状态' })
  status: string;
}
