import { Column, Entity } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
// 科研机构
@Entity('unit', { comment: '科研机构数据' })
export class Unit extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'character varying', nullable: true, comment: '科研机构名称' })
  name: string;
  @Column({ type: 'character varying', nullable: true, comment: '联系人' })
  person: string;
  @Column({ type: 'character varying', nullable: true, comment: '联系电话' })
  person_phone: string;
  @Column({ type: 'text', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'character varying', nullable: true, comment: '地址' })
  address: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否公开' })
  is_show: string;
  @Column({ type: 'character varying', nullable: true, comment: '状态', default: '0' })
  status: string;
}
