import { Provide } from '@midwayjs/core';
import { InjectEntityModel } from '@midwayjs/typeorm';
import { Repository } from 'typeorm';
import { Footplate } from '../../entity/platform/footplate.entity';
import { BaseServiceV2 } from '../../frame/BaseServiceV2';
@Provide()
export class FootplateService extends BaseServiceV2 {
  @InjectEntityModel(Footplate)
  model: Repository<Footplate>;

  getQueryColumnsOpera() {
    const obj = {
      name: this.Opera.Like,
      industry: this.Opera.In,
      area: this.Opera.Json,
      tags: this.Opera.Json,
    };
    return obj;
  }
}
