import { Project } from '../../entity/platform/project.entity';
import { Provide } from '@midwayjs/core';
import { InjectEntityModel } from '@midwayjs/typeorm';
import { Repository } from 'typeorm';
import { BaseServiceV2 } from '../../frame/BaseServiceV2';
@Provide()
export class ProjectService extends BaseServiceV2 {
  @InjectEntityModel(Project)
  model: Repository<Project>;

  getQueryColumnsOpera() {
    const obj = {
      name: this.Opera.Like,
      industry: this.Opera.In,
      field: this.Opera.In,
      maturity: this.Opera.In,
      area: this.Opera.Json,
      tags: this.Opera.Json,
    };
    return obj;
  }
}
