import { Provide } from '@midwayjs/core';
import { BaseServiceV2 } from '../../frame/BaseServiceV2';
import { UserMenus } from '../../entity/system/userMenus.entity';
import { InjectEntityModel } from '@midwayjs/typeorm';
import { Repository } from 'typeorm';

/**
 * 角色用户菜单,不存在层级,只需要到时候查出来分配给的菜单就行
 */
@Provide()
export class UserMenusService extends BaseServiceV2 {
  @InjectEntityModel(UserMenus)
  model: Repository<UserMenus>;
}
