import { Provide } from '@midwayjs/core';
import { InjectEntityModel } from '@midwayjs/typeorm';
import { Repository } from 'typeorm';
import { Association } from '../../entity/users/association.entity';
import { BaseServiceV2 } from '../../frame/BaseServiceV2';
@Provide()
export class AssociationService extends BaseServiceV2 {
  @InjectEntityModel(Association)
  model: Repository<Association>;
  getQueryColumnsOpera(): {} {
    return { name: this.Opera.Like, person: this.Opera.Like, address: this.Opera.Like };
  }
}
