import { Controller, Get, Inject, Query } from '@midwayjs/core';
import { InitFourService } from '../service/initData/initFour.service';
import { ServiceUtilService } from '../service/serviceUtil.service';
@Controller('/')
export class HomeController {
  @Inject()
  initFour: InitFourService;
  @Inject()
  serviceUtil: ServiceUtilService;
  @Get('/')
  async home(@Query() query: object): Promise<any> {
    // const res = await this.initFour.initData();
    const res = await this.serviceUtil.initPassword();
    return res;
    // return 'starting...';
  }
  // @Get('/:method')
  // async test(@Param('method') method: string, @Query() query: object) {
  //   const result: any = await this.adminService[method](query);
  //   return result;
  // }
}
