import { Entity, Column } from 'typeorm';
import { BaseModel } from '../frame/BaseModel';
class config {
  table: string;
  config: Array<any>;
  query: object;
}
@Entity('exportMission', { comment: '导出任务' })
export class ExportMission extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '用户' })
  user: number;
  @Column({ type: 'character varying', nullable: true, comment: '用户类型' })
  user_type: string; // ADMIN/USER
  @Column({ type: 'jsonb', nullable: true, comment: '导出内容', default: {} })
  config: object;
  @Column({ type: 'integer', nullable: true, comment: '进度' })
  progress: number;
  @Column({ type: 'character varying', nullable: true, comment: '下载地址' })
  uri: string;
}
