import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
//赛事流程
@Entity('matchPath', { comment: '赛事流程' })
export class MatchPath extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '赛事id' })
  match: number;
  @Column({ type: 'character varying', nullable: true, comment: '流程名称' })
  name: string;
  @Column({ type: 'jsonb', nullable: true, comment: '报名人员', default: {} })
  signPerson: object;
  @Column({ type: 'character varying', nullable: true, comment: '时间' })
  time: string;
  @Column({ type: 'integer', nullable: true, comment: '显示顺序' })
  order_num: number;
  @Column({ type: 'text', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否启用', default: '0' })
  is_use: string;
  @Column({ type: 'character varying', nullable: true, comment: '状态', default: '0' })
  status: string;
}
