import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
@Entity('score', { comment: '赛事分数' })
export class Score extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'integer', nullable: true, comment: '赛事id' })
  match: number;
  @Column({ type: 'integer', nullable: true, comment: '流程id' })
  matchPath: number;
  @Column({ type: 'integer', nullable: true, comment: '选手id' })
  sign: number;
  @Column({ type: 'integer', nullable: true, comment: '分数' })
  score: number;
  @Column({ type: 'character varying', nullable: true, comment: '发布时间' })
  time: string;
}
