import { Column, Entity } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
// 字典数据表
@Entity('dictData', { comment: '字典数据' })
export class DictData extends BaseModel {
  @Column({ type: 'character varying', comment: '字典类型编码' })
  code: string;
  @Column({ type: 'character varying', comment: '数据显示值' })
  label: string;
  @Column({ type: 'character varying', comment: '数据选择值' })
  value: string;
  @Column({ type: 'integer', nullable: true, comment: '排序' })
  sort: number;
  @Column({ type: 'text', nullable: true, comment: '备注' })
  remark: string;
  @Column({ type: 'character varying', default: '0', comment: '是否使用 0使用;1禁用' })
  is_use: string;
}
