import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
// 标签
@Entity('tags', { comment: '标签数据' })
export class Tags extends BaseModel {
  @Column({ type: 'character varying', nullable: true, comment: '标题' })
  title: string;
  @Column({ type: 'integer', nullable: true, comment: '排序' })
  sort: number;
  @Column({ type: 'character varying', nullable: true, comment: '备注' })
  remark: string;
  @Column({ type: 'integer', nullable: true, comment: '搜索次数' })
  num: number;
  @Column({ type: 'character varying', nullable: true, comment: '是否使用', default: '0' })
  is_use: string;
}
