import { Column, Entity } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
// 商协会
@Entity('association', { comment: '商协会数据' })
export class Association extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'character varying', nullable: true, comment: '名称' })
  name: string;
  @Column({ type: 'character varying', nullable: true, comment: '负责人' })
  person: string;

  @Column({ type: 'character varying', nullable: true, comment: '负责人电话' })
  person_phone: string;
  @Column({ type: 'text', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'character varying', nullable: true, comment: '地址' })
  address: string;

  @Column({ type: 'character varying', nullable: true, comment: '是否公开' })
  is_show: string;
  @Column({ type: 'character varying', nullable: true, default: '0', comment: '状态' })
  status: string;
}
