import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
// 企业孵化器关联
@Entity('cirelation', { comment: '企业孵化器关联' })
export class Cirelation extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'integer', nullable: true, comment: '孵化器id' })
  incubator: number;
  @Column({ type: 'integer', nullable: true, comment: '企业id' })
  company: number;
  @Column({ type: 'character varying', nullable: true, comment: '申请时间' })
  time: string;
  @Column({ type: 'character varying', nullable: true, comment: '状态', default: '0' })
  status: string;
}
