import { Column, Entity } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
// 政府部门
@Entity('state', { comment: '政府部门数据' })
export class State extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'character varying', nullable: true, comment: '名称' })
  name: string;
  @Column({ type: 'character varying', nullable: true, comment: '负责人' })
  person: string;
  @Column({ type: 'character varying', nullable: true, comment: '负责人电话' })
  person_phone: string;
  @Column({ type: 'character varying', nullable: true, comment: '部门类型' })
  type: string;
  @Column({ type: 'character varying', nullable: true, comment: '地址' })
  address: string;
  @Column({ type: 'text', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否公开' })
  is_show: string;
  @Column({ type: 'character varying', nullable: true, comment: '状态', default: '0' })
  status: string;
}
