export enum Opera {
  /**完全等于 Equal('a') */
  Equal = 'Equal',
  /**不等于 Not('a')*/
  Not = 'Not',
  /**模糊查询,值需要用%包裹起来:Like(%val%)*/
  Like = 'Like',
  /**模糊查询,值需要用%包裹起来 Like(%val)*/
  LikeLeft = 'LikeLeft',
  /**模糊查询,值需要用%包裹起来 Like(val%)*/
  LikeRight = 'LikeRight',
  /**模糊查询取反 */
  ILike = 'ILike',
  ILikeLeft = 'ILikeLeft',
  ILikeRight = 'ILikeRight',
  /**两者之间(闭区间), Between(1,10) */
  Between = 'Between',
  /**小于 LessThan(10)*/
  LessThan = 'LessThan',
  /**小于等于 LessThanOrEqual(10)*/
  LessThanOrEqual = 'LessThanOrEqual',
  /**大于 MoreThan(10)*/
  MoreThan = 'MoreThan',
  /**大于等于 MoreThanOrEqual(10)*/
  MoreThanOrEqual = 'MoreThanOrEqual',
  /**值在数组中 In(['a', 'b']) */
  In = 'In',
  /**为空 IsNull */
  IsNull = 'IsNull',
  IsNotNull = 'IsNotNull',
  /**JSON */
  Json = 'Json',
  /**Json, Object类型需要自定义写法 */
  JsonArrayObject = 'JsonArrayObject',
  JsonObject = 'JsonObject',
}
