// 注释是表名
// achievement
const achievement = [
  { index: 1, field: 'name', zh: '名称' },
  { index: 2, field: 'industry', zh: '所属产业' },
  { index: 3, field: 'patent', zh: '专利号' },
  { index: 4, field: 'attribute', type: 'dict', code: 'attribute', zh: '属性' },
  { index: 5, field: 'sell', type: 'dict', code: 'sell', zh: '出让方式' },
  { index: 6, field: 'mature', type: 'dict', code: 'mature', zh: '成熟度' },
  { index: 7, field: 'field', type: 'dict', code: 'field', zh: '行业领域' },
  { index: 8, field: 'technology', type: 'dict', code: 'technology', zh: '技术分类' },
  { index: 9, field: 'area', type: 'area', zh: '地区' },
  { index: 10, field: 'money', zh: '参考价格' },
  { index: 11, field: 'time', type: 'date', zh: '发布时间' },
  { index: 12, field: 'source', zh: '项目来源' },
  { index: 13, field: 'person', zh: '负责人' },
  { index: 14, field: 'tel', zh: '联系电话' },
  { index: 15, field: 'brief', zh: '简介' },
  { index: 16, field: 'tags', zh: '标签' },
];

// project
const project = [
  { index: 1, field: 'name', zh: '名称' },
  { index: 2, field: 'industry', zh: '所属产业' },
  { index: 3, field: 'time', type: 'date', zh: '发布时间' },
  { index: 4, field: 'type', type: 'dict', code: 'industry', zh: '行业分类' },
  { index: 5, field: 'maturity', type: 'dict', code: 'projectMaturity', zh: '成熟度' },
  { index: 6, field: 'skill', type: 'dict', code: 'technology', zh: '技术类型' },
  { index: 7, field: 'field', type: 'dict', code: 'field', zh: '行业领域' },
  { index: 8, field: 'cooperate', type: 'dict', code: 'projectType', zh: '合作类型' },
  { index: 9, field: 'area', type: 'area', zh: '地区' },
  { index: 10, field: 'main', zh: '项目主体' },
  { index: 11, field: 'progress', zh: '项目进展' },
  { index: 12, field: 'track_unit', zh: '跟踪支持单位' },
  { index: 13, field: 'source', zh: '项目来源' },
  { index: 14, field: 'brief', zh: '简介' },
  { index: 15, field: 'tags', zh: '标签' },
];

// demand
const demand = [
  { index: 1, field: 'name', zh: '名称' },
  { index: 2, field: 'industry', zh: '所属产业' },
  { index: 3, field: 'start_time', type: 'date', zh: '开始时间' },
  { index: 4, field: 'end_time', type: 'date', zh: '结束时间' },
  { index: 5, field: 'money', type: 'date', zh: '价格' },
  { index: 6, field: 'field', zh: '行业领域' },
  { index: 7, field: 'urgent', type: 'dict', code: 'urgent', zh: '需求紧急度' },
  { index: 8, field: 'method', type: 'dict', code: 'method', zh: '合作方式' },
  { index: 9, field: 'area', type: 'area', zh: '地区' },
  { index: 10, field: 'company', zh: '所属企业' },
  { index: 11, field: 'company_brief', zh: '企业简况' },
  { index: 12, field: 'contacts', zh: '联系人' },
  { index: 13, field: 'tel', zh: '联系电话' },
  { index: 14, field: 'year', zh: '年份' },
  { index: 15, field: 'month', zh: '月份' },
  { index: 16, field: 'tec_name', zh: '技术需求名称' },
  { index: 17, field: 'question', zh: '待解决问题' },
  { index: 18, field: 'brief', zh: '简介' },
  { index: 19, field: 'tags', zh: '标签' },
];

// supply
const supply = [
  { index: 1, field: 'name', zh: '名称' },
  { index: 2, field: 'industry', zh: '所属产业' },
  { index: 3, field: 'start_time', type: 'date', zh: '开始时间' },
  { index: 4, field: 'end_time', type: 'date', zh: '结束时间' },
  { index: 5, field: 'money', type: 'date', zh: '价格' },
  { index: 6, field: 'field', zh: '行业领域' },
  { index: 7, field: 'urgent', type: 'dict', code: 'urgent', zh: '需求紧急度' },
  { index: 8, field: 'method', type: 'dict', code: 'method', zh: '合作方式' },
  { index: 9, field: 'area', type: 'area', zh: '地区' },
  { index: 10, field: 'source', zh: '项目来源' },
  { index: 11, field: 'brief', zh: '简介' },
  { index: 12, field: 'tags', zh: '标签' },
];

// company
const company = [
  { index: 1, field: 'name', zh: '名称' },
  { index: 2, field: 'industry', zh: '所属产业' },
  { index: 3, field: 'code', zh: '企业统一信用代码名称' },
  { index: 4, field: 'representative', zh: '法定代表人' },
  { index: 5, field: 'email', zh: '电子邮箱' },
  { index: 6, field: 'person', zh: '员工人数', type: 'number' },
  { index: 7, field: 'graduate_num', zh: '硕士研究生人数', type: 'number' },
  { index: 8, field: 'doctor_num', zh: '博士人数', type: 'number' },
  { index: 9, field: 'returnee_num', zh: '海归人数', type: 'number' },
  { index: 10, field: 'knowledge', zh: '知识产权数', type: 'number' },
  { index: 11, field: 'patent', zh: '发明专利数', type: 'number' },
  { index: 12, field: 'utility', zh: '实用新型数', type: 'number' },
  { index: 13, field: 'copyright', zh: '软件著作权数', type: 'number' },
  { index: 14, field: 'is_tech', zh: '是否为高新技术企业', type: 'dict', code: 'isUse' },
  { index: 15, field: 'is_new', zh: '是否为专精特新企业', type: 'dict', code: 'isUse' },
  { index: 16, field: 'register', zh: '注册资本' },
  { index: 17, field: 'create_time', type: 'date', zh: '成立时间' },
  { index: 18, field: 'pattern', type: 'dict', code: 'pattern', zh: '企业类型' },
  { index: 19, field: 'scale', type: 'dict', code: 'scale', zh: '企业规模' },
  { index: 20, field: 'type', type: 'dict', code: 'type', zh: '所属行业' },
  { index: 21, field: 'area', type: 'area', zh: '地区' },
  { index: 22, field: 'phone', zh: '联系电话' },
  { index: 23, field: 'address', zh: '地址' },
  { index: 24, field: 'products', zh: '产品' },
  { index: 25, field: 'brief', zh: '简介' },
  { index: 26, field: 'tags', zh: '标签' },
];

// companyYear
const companyYear = [
  { index: 1, field: 'company', zh: '名称', type: 'id' },
  { index: 2, field: 'year', zh: '年度' },
  { index: 3, field: 'time', zh: '填报时间' },
  { index: 4, field: 'esincome_money', zh: '预计营业收入（万元）', type: 'number' },
  { index: 5, field: 'esprofit_money', zh: '预计利润（万元）', type: 'number' },
  { index: 6, field: 'estax_money', zh: '预计税金（万元）', type: 'number' },
  { index: 7, field: 'essearch_money', zh: '预计研发费用（万元）', type: 'number' },
  { index: 8, field: 'tags', zh: '标签' },
];

// incubate
const incubate = [
  { index: 1, field: 'name', zh: '孵化基地名称' },
  { index: 2, field: 'unit', zh: '运营机构' },
];

export { achievement, project, demand, supply, company, companyYear, incubate };
