import { Demand } from '../../entity/platform/demand.entity';
import { Provide } from '@midwayjs/core';
import { InjectEntityModel } from '@midwayjs/typeorm';
import { Repository } from 'typeorm';
import { BaseServiceV2 } from '../../frame/BaseServiceV2';
@Provide()
export class DemandService extends BaseServiceV2 {
  @InjectEntityModel(Demand)
  model: Repository<Demand>;

  getQueryColumnsOpera() {
    const obj = {
      name: this.Opera.Like,
      company: this.Opera.Like,
      industry: this.Opera.In,
      area: this.Opera.Json,
      tags: this.Opera.Json,
    };
    return obj;
  }
}
