import { Provide } from '@midwayjs/core';
import { InjectEntityModel } from '@midwayjs/typeorm';
import { Repository } from 'typeorm';
import { Support } from '../../entity/platform/support.entity';
import { BaseServiceV2 } from '../../frame/BaseServiceV2';
@Provide()
export class SupportService extends BaseServiceV2 {
  @InjectEntityModel(Support)
  model: Repository<Support>;

  getQueryColumnsOpera() {
    const obj = {
      name: this.Opera.Like,
      industry: this.Opera.In,
      field: this.Opera.Json,
      area: this.Opera.Json,
      tags: this.Opera.Json,
    };
    return obj;
  }
}
