import { InjectEntityModel } from '@midwayjs/typeorm';
import { Repository } from 'typeorm';
import { Test } from '../entity/test.entity';
import { BaseServiceV2 } from '../frame/BaseServiceV2';
import { Provide } from '@midwayjs/core';

@Provide()
export class TestsService extends BaseServiceV2 {
  getQueryColumnsOpera(): object {
    const obj = {
      nick_name: this.Opera.ILikeRight,
      hobby: this.Opera.Json,
      time: this.Opera.IsNotNull,
    };
    return obj;
  }
  @InjectEntityModel(Test)
  model: Repository<Test>;
}
