import { Provide } from '@midwayjs/core';
import { InjectEntityModel } from '@midwayjs/typeorm';
import { Repository } from 'typeorm';
import { Expert } from '../../entity/users/expert.entity';
import { BaseServiceV2 } from '../../frame/BaseServiceV2';
@Provide()
export class ExpertService extends BaseServiceV2 {
  @InjectEntityModel(Expert)
  model: Repository<Expert>;

  getQueryColumnsOpera() {
    const obj = {
      name: this.Opera.Like,
      industry: this.Opera.In,
      field: this.Opera.In,
      area: this.Opera.Json,
      tags: this.Opera.Json,
    };
    return obj;
  }
}
