import { Provide } from '@midwayjs/core';
import { InjectEntityModel } from '@midwayjs/typeorm';
import { Repository } from 'typeorm';
import { Investment } from '../../entity/users/investment.entity';
import { BaseServiceV2 } from '../../frame/BaseServiceV2';
@Provide()
export class InvestmentService extends BaseServiceV2 {
  @InjectEntityModel(Investment)
  model: Repository<Investment>;
  getQueryColumnsOpera(): {} {
    return { name: this.Opera.Like };
  }
}
